Loading...
Searching...
No Matches
ranges::ref_fn Struct Reference
Functional

## Public Member Functions

template<typename T >
constexpr reference_wrapper< T > | operator() (reference_wrapper< T > t) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
constexpr reference_wrapper< T > | operator() (std::reference_wrapper< T > t) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T > requires (!is_reference_wrapper_v<T>)
constexpr reference_wrapper< T > | operator() (T &t) const